%define anolis_release 3
Name: ipvsadm
Summary: Utility to administer the Linux Virtual Server
Version: 1.31
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: https://kernel.org/pub/linux/utils/kernel/ipvsadm/
Source0: %{url}/%{name}-%{version}.tar.gz
Source1: ipvsadm.service
Source2: ipvsadm-config

BuildRequires: gcc libnl3-devel popt-devel systemd make

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
ipvsadm is used to setup, maintain, and inspect the virtual server table in the Linux
kernel. The Linux Virtual Server can be used to build scalable network services based
on a cluster of two or more nodes. The active node of the cluster redirects service
requests to a collection of server hosts that will actually perform the services.
Supported Features include:
  - two transport layer (layer-4) protocols (TCP and UDP)
  - three packet-forwarding methods (NAT, tunneling, and direct routing)
  - eight load balancing algorithms (round robin, weighted round robin, least-connection,
    weighted least-connection, locality-based least-connection, locality-based
    least-connection with replication, destination-hashing, and source-hashing)

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%{__make}

%install
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__make} install BUILD_ROOT=%{buildroot}%{_prefix} SBIN=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir} MAN=%{buildroot}%{_mandir}/man8 INIT=%{buildroot}%{_sysconfdir}/rc.d/init.d

%{__rm} -f %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -p -D -m 0600 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}-config

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-config
%{_sbindir}/%{name}
%{_sbindir}/%{name}-restore
%{_sbindir}/%{name}-save
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}-restore.8*
%{_mandir}/man8/%{name}-save.8*

%files doc
%doc MAINTAINERS README

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.31-3
- optimize spec

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.31-2
- Bump release for upgrading from anolis 8

* Fri Mar 11 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.31-1
- Init from upstream version  1.31

